<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title>MM-144: Port St. Lucie/Ft. Pierce Service Plaza</title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
 </head>
 <body><prev>
<font color = "FFFFFF">
<B><center>MM-144: Port St. Lucie/Ft. Pierce Service Plaza</center></B>
<br>
Port St. Lucie/Ft. Pierce Service Plaza at Mile Marker 144 -This plaza is located near Fort Pierce, Florida and services the northbound and southbound travel lanes.<br>
<br>
<B>Contact Info:</B><br>
<I>
Service Station: 772-879-3870<br>
Food Court: 772-672-3502<br>
</I>
<br>

<B>Gas station & Convenience Store: </B><br>
<I>Shell Gasoline<br></I>
<br>

<B>Fuel Types:</B><br>
<I>
Gasoline<br>
Deisel<br>
E 85<br>
</I>
<br>

<b>Coffee/Food/Restaurant/Snack:</b><br>
<I>
Dunkin Donuts<br>
Earl Of Sandwich<br>
Freshens Frozen Treats<br>
Totally Bananas<br>
Villa Pizza<br>
Wendys<br>
</I>
</font>
</prev></body>
</html>
